#!/usr/bin/env node
'use strict';

process.env.NODE_ENV = 'production';

require('babel-register')(require('../config/package'));

var build = require('../scripts/build');
var deploy = require('../scripts/deploy');

console.log(build);

var command = process.argv[2];
var folder = process.argv[3];

switch (command) {
  case 'build':
    {
      build.run({
        folder: folder
      });
      break;
    }
  case 'build:frontful':
    {
      build.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  case 'deploy':
    {
      deploy.run({
        folder: folder
      });
      break;
    }
  case 'deploy:frontful':
    {
      deploy.run({
        transpile: false,
        folder: folder
      });
      break;
    }
  default:
    {}
}